Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 1.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.fop.render.rtf.rtflib.rtfdoc
Interface IRtfHyperLinkContainer

All Superinterfaces:
  IRtfTextContainer

All Known Implementing Classes:
  RtfParagraph

public interface IRtfHyperLinkContainer
extends IRtfTextContainer

interface for RtfElements that can contain RtfHyperLinks

Author:
  Andreas Putz a.putz@skynamics.com

Method Summary
`RtfHyperLink` | `newHyperLink(java.lang.String str, RtfAttributes attr)` Creates a new hyperlink.

Methods inherited from interface org.apache.fop.render.rtf.rtflib.rtfdoc.IRtfTextContainer
`getTextContainerAttributes, newLineBreak, newText, newText`

Method Detail

### newHyperLink

    public RtfHyperLink newHyperLink(java.lang.String str,
                                     RtfAttributes attr)
                              throws java.io.IOException

  Creates a new hyperlink.

  Parameters:
    `str` - Hyperlink string
    `attr` - Hyperlink attributes
  Returns:
    new Hyperlink object
  Throws:
    `java.io.IOException` - on error

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 1.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 1999-2010 The Apache Software Foundation. All Rights Reserved.